%define __python %{__python3}

Name:           rhui-cds-plugin-fetcher
Version:        1.0.2
Release:        1%{?dist}
Summary:        WSGI caching proxy content server for CDS nodes

Group:          Applications/System
License:        GPLv3+ and ASL 2.0
Source:         %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python3-setuptools
Requires:       python36
Requires:       python3-gunicorn

%description
As Pulp 3 no longer publishes artifacts to the filesystem, this
WSGI script acts as a simple proxy that grabs the requested content
from the RHUA node, sends it back to the client, and creates a symlink
in the NFS share to the correct item in the Pulp artifact storage.

%prep
%setup -q -n rhui-cds-plugin-fetcher-%{version}

%build
pushd src
%py3_build
popd

%install
pushd src
%py3_install
popd
find $RPM_BUILD_ROOT -name '*.pyc' -delete
rm -f $RPM_BUILD_ROOT/usr/lib/python3.6/site-packages/rhui_cds_plugin/__init__.py

%files
%defattr(-,root,root,-)
%{python_sitelib}/rhui_cds_plugin
%{python_sitelib}/rhui_cds_plugin_fetcher-*.egg-info/*

%clean
rm -rf %{buildroot}

%changelog
* Fri Sep 17 2021 Sebastian Skracic <sskracic@redhat.com> 1.0.2-1
- RHUI-115: merge consecutive slashes internally in CDS fetcher
  (sskracic@redhat.com)

* Wed Jul 21 2021 Sebastian Skracic <sskracic@redhat.com> 1.0.1-1
- new package built with tito

